n=int(input())
br=0
bb=n
while bb>0:
    b=bb%10
    if b==1 or b==2 or b==5 :
        br=br+1
    if b==3 or b==4 or b==6 or b==7 :
        br=br+2
    if b==8 or b==9 :
        br=br+3
    bb=bb//10
print(br)